
QGIS Application - Bug report #17509

@geometry_point_count always equal to 1

2017-11-21 02:55 PM - Alexey T

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25406

Description

I am using @geometry_point_count to style marker line feature.

Looks like this variable is always equal to 1.

History

#1 - 2017-11-21 05:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Easy fix? changed from Yes to No

Is this a regression?

#2 - 2017-11-21 06:18 PM - Alexey T

Giovanni Manghi wrote:

Is this a regression?

My english is not very good, I don't understand your question. Please clarify.

#3 - 2017-11-21 06:19 PM - Giovanni Manghi

Alexey T wrote:

Giovanni Manghi wrote:

Is this a regression?

My english is not very good, I don't understand your question. Please clarify.

did it worked as expected in a previous qgis release?

#4 - 2017-11-21 06:34 PM - Alexey T

- File test.jpeg added
Giovanni Manghi wrote:

Alexey T wrote:

Giovanni Manghi wrote:

Is this a regression?

My english is not very good, I don't understand your question. Please clarify.

did it worked as expected in a previous qgis release?

I haven't ever used any previous releases.

May be the attached image will provide some help.

The first line is marker line with "font marker". Data defined override is set to:

to_string(  @geometry_point_num  )

So every marker is printed as its number.

The second line is marker line with "font marker" and data override set to:

to_string( @geometry_point_count)

Instead of printing total count of markers, there is symbol 'A' or any other symbol chosen in font marker style. So data override doesn't work for this

expression.

Output preview in expression string builder shows '1'.

#5 - 2017-11-24 02:26 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#7 - 2019-01-26 12:18 PM - Alexey T

Tested in QGIS v3.4.4

First. If marker placment is set to "on wevery vertex" 

@geometry_point_count shows total number of visible points

If marker placment set to "with interval" 

@geometry_point_count shows just letter "A" or something else, chosen font's marker properties

Second.

This variables names are very confusing.

This variables show not the gemotry point count or number, but marker's count or number curerntly visible on canvas.

#8 - 2019-01-26 12:31 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.14 to 3.4.4

Alexey T wrote:

Tested in QGIS v3.4.4

First. If marker placment is set to "on wevery vertex" 

@geometry_point_count shows total number of visible points

If marker placment set to "with interval" 

@geometry_point_count shows just letter "A" or something else, chosen font's marker properties

change the title and description accordingly, thanks.

Second.

This variables names are very confusing.

This variables show not the gemotry point count or number, but marker's count or number curerntly visible on canvas.

file a separate ticket.

#9 - 2019-01-26 09:56 PM - Nyall Dawson

- Status changed from Feedback to Closed

This is fixed for 3.4.5/3.6
